/* Copyright (c) 1997, MpegTV, LLc */
#ifndef _alert_api_h
#define _alert_api_h
#ifndef lint
static const char rcsid_alert_api_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/alert_api.h,v 1.4 1998/05/29 22:29:44 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/

/* type of alerts */
typedef enum {
	ALERT_BAD_STREAM,	/* Hum... This doesn't look like an MPEG Systems or Video bitstream! Note: MpegTV cannot play MPEG Audio files */
	ALERT_NO_AUDIO,		/* Cannot play audio: Device busy or sampling rate not supported (muting) */
	ALERT_DEMO_IS_NOW_OBSOLETE,	/* (obsolete alert type) */
	ALERT_DEMO_MUTE_IS_NOW_OBSOLETE,	/* (obsolete alert type) */
	ALERT_NO_SHARED_MEMORY, /* Cannot allocate shared memory, using private memory - Performances will be reduced */
	ALERT_USING_PRIVATE_COLORMAP, /* Not enough colors colors available in shared colormap. Using private colormap. */
	ALERT_MPEG2_VIDEO 		/* This is an MPEG-2 stream. MpegTV Player 1.0 only plays MPEG-1 streams */
} ALERT_TYPE;

/* param for msg with type A2G_COM_ALERT */
typedef struct {
	ALERT_TYPE	alert;			/* type of alert */
	int			error;			/* errno */
} PMP_DATA_ALERT;


#endif /* _alert_api_h */
