/* Copyright (c) 1997, MpegTV LLC */
#ifndef _yuvtorgb_h
#define _yuvtorgb_h
#ifndef lint
static char rcsid_yuvtorgb_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/yuvtorgb.h,v 1.7 1997/10/31 05:01:58 tristan Exp $";
#endif


/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "mtvp/misc.h"


/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/

/* chroma matrix coefficients (using MPEG-2 code values) */
typedef enum {
	IM_MATRIX_COEFFICIENTS_UNKNOWN = 0,
	IM_MATRIX_COEFFICIENTS_ITU_R_709 = 1,		/* Grand Alliance */
	IM_MATRIX_COEFFICIENTS_UNSPECIFIED = 2,
	IM_MATRIX_COEFFICIENTS_RESERVED = 3,
	IM_MATRIX_COEFFICIENTS_FCC = 4,				/* somehow like #5 */
	IM_MATRIX_COEFFICIENTS_ITU_R_470_2_BG = 5,	/* default for CCIR-601 ? */
	IM_MATRIX_COEFFICIENTS_SMPTE_170M = 6,		/* same as #5 */
	IM_MATRIX_COEFFICIENTS_SMPTE_240M = 7,		/* US HDTV 1125x60 */
	IM_MATRIX_COEFFICIENTS_COUNT = 8
} IM_MATRIX_COEFFICIENTS;

/*--------------------------------------------------------------------------+
| Externals																	|
+--------------------------------------------------------------------------*/

/* tables used for YUV to RGB conversion */
extern int L_tab[256];
extern int Cr_r_tab[256];
extern int Cr_g_tab[256];
extern int Cb_g_tab[256];
extern int Cb_b_tab[256];

/* Gamma correction */
extern double Gamma_correct;

/* Luma floor */
extern double Luma_floor;

/* Luma shift */
extern double Luma_shift;

/* Chroma correction (normally 1.0) */
extern double Chroma_correct;

extern IM_MATRIX_COEFFICIENTS Matrix_coefficients;	/* matrix coefficients */

extern void yuv_to_rgb_init(void);
extern void convert_color(u_int, u_int, u_int, u_char *, u_char *, u_char *);

#endif /* _yuvtorgb_h */
